<%@ page contentType="text/html;charset=UTF-8" %>
<script>
$(document).ready(function() {
	$('#projectTable').bootstrapTable({
		  //请求方法
               method: 'post',
               //类型json
               dataType: "json",
               contentType: "application/x-www-form-urlencoded",
               //显示检索按钮
	           showSearch: true,
               //显示刷新按钮
               showRefresh: true,
               //显示切换手机试图按钮
               showToggle: true,
               //显示 内容列下拉框
    	       showColumns: true,
    	       //显示到处按钮
    	       showExport: true,
    	       //显示切换分页按钮
    	       showPaginationSwitch: true,
    	       //最低显示2行
    	       minimumCountColumns: 2,
               //是否显示行间隔色
               striped: true,
               //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）     
               cache: false,    
               //是否显示分页（*）  
               pagination: true,
                //排序方式 
               sortOrder: "asc",  
               //初始化加载第一页，默认第一页
               pageNumber:1,   
               //每页的记录行数（*）   
               pageSize: 5,
               //可供选择的每页的行数（*）    
               pageList: [5,10, 25, 50, 100],
               //这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据  
               url: "${ctx}/sg/managementCenter/constructionProject/data",
               //默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
               //queryParamsType:'',   
               ////查询参数,每次调用是会带上这个参数，可自定义                         
               queryParams : function(params) {
               	var searchParam = $("#searchForm").serializeJSON();
               	searchParam.pageNo = params.limit === undefined? "1" :params.offset/params.limit+1;
               	searchParam.pageSize = params.limit === undefined? -1 : params.limit;
               	searchParam.orderBy = params.sort === undefined? "" : params.sort+ " "+  params.order;
                   return searchParam;
               },
               //分页方式：client客户端分页，server服务端分页（*）
               sidePagination: "server",
               contextMenuTrigger:"right",//pc端 按右键弹出菜单
               contextMenuTriggerMobile:"press",//手机端 弹出菜单，click：单击， press：长按。
               contextMenu: '#context-menu',
               onContextMenuItem: function(row, $el){
               },
              
               onClickRow: function(row, $el){
               },
               	onShowSearch: function () {
			$("#search-collapse").slideToggle();
		},
               columns: [{
                   checkbox: true
               },
			{
		        field: 'projectNumber',
		        title: '项目定义号',
                width:160

            }
                   ,{
                       field: 'projectName',
                       title: '项目名称',
                       width:110

                   }
                   ,{
                       field: 'projectNote',
                       title: '停电范围',
                       width:110

                   }
                   ,{
                       field: 'instructions',
                       title: '是否停电/带电',
                       width:110

                   }
                   ,{
                       field: 'arrangeTime',
                       title: '月份',
                       width:110,
                       sortName: 'beginBeginDate'

                   }
                   ,{
                       field: 'specificTime',
                       title: '具体时间',
                       width:120,
                       sortName: 'endDate'

                   }
		     ]
		
		});


	  if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端

		 
		  $('#projectTable').bootstrapTable("toggleView");
		}
	  
	  $('#projectTable').on('check.bs.table uncheck.bs.table load-success.bs.table ' +
                'check-all.bs.table uncheck-all.bs.table', function () {
            $('#remove').prop('disabled', ! $('#projectTable').bootstrapTable('getSelections').length);
            $('#view,#edit').prop('disabled', $('#projectTable').bootstrapTable('getSelections').length!=1);
        });
		    
	  $("#search").click("click", function() {// 绑定查询按扭
		  $('#projectTable').bootstrapTable('refresh');
		});
	 
	 $("#reset").click("click", function() {// 绑定查询按扭
		  $("#searchForm  input").val("");
		  $("#searchForm  select").val("");
		  $("#searchForm  .select-item").html("");
		  $('#projectTable').bootstrapTable('refresh');
		});
		
		$('#beginBeginDate').datetimepicker({
			 format: "YYYY-MM"
		});
		$('#endBeginDate').datetimepicker({
			 format: "YYYY-MM-DD"
		});
		$('#endDate').datetimepicker({
			 format: "YYYY-MM-DD"
		});
		
	});
		
  function getIdSelections() {
        return $.map($("#projectTable").bootstrapTable('getSelections'), function (row) {
            return row.id
        });
    }
    //刷新列表
  function refresh(){
  	$('#projectTable').bootstrapTable('refresh');
  }
  
   function add(){
	  jp.openSaveDialog('新增项目计划安排', "${ctx}/sg/managementCenter/constructionProject/formDateMonth",'800px', '500px');
  }

  function addDate() {
      top.layer.open({
          type: 2,
          area: ['900px', '500px'],
          title: '设计项目时间',
          maxmin: true, //开启最大化最小化按钮
          content: "${ctx}/sg/managementCenter/constructionProjectTemporaryController/list" ,
          btn: ['确定', '关闭'],
          yes: function(index, layero){
              var iframeWin = layero.find('iframe')[0]; //得到弹出的窗口对象，执行窗口内iframe页的方法：iframeWin.method();
              var flag = iframeWin.contentWindow.save();
              if (flag){
                  jp.post("${ctx}/sg/managementCenter/constructionProject/save",function(data){
                      if(data.success){
                          // jp.success("安排计划成功");
                      }else{
                          jp.error(data.msg);
                      }
                  })
                  top.layer.close(index);
                  refresh();
              }
          },
          btn2: function(index){
              jp.post("${ctx}/sg/managementCenter/constructionProjectTemporaryController/deleteProject",function(data){
              })
              top.layer.close(index);
          },
          cancel:function (index) {
              jp.post("${ctx}/sg/managementCenter/constructionProjectTemporaryController/deleteProject",function(data){
              })
              top.layer.close(index);
          }
      });
  }
    function addPowerFlag() {
        top.layer.open({
            type: 2,
            area: ['900px', '500px'],
            title: '人工选择是否带电',
            maxmin: true, //开启最大化最小化按钮
            content: "${ctx}/sg/managementCenter/constructionProjectTemporaryController/listPower",
            btn: ['检验','确定','关闭'],
            btn1:function(index,layero){
                var iframeWin = layero.find('iframe')[0]; //得到弹出的窗口对象，执行窗口内iframe页的方法：iframeWin.method();
                iframeWin.contentWindow.save();//调用保存事件，在 弹出页内，需要定义save方法。处理保存事件。s
            },
            btn2: function(index,layero){
                var iframeWin = layero.find('iframe')[0]; //得到弹出的窗口对象，执行窗口内iframe页的方法：iframeWin.method();
                var flag = iframeWin.contentWindow.saveSure();
                return false;
            },
            btn3: function(index){
                jp.post("${ctx}/sg/managementCenter/constructionProjectTemporaryController/deleteProject",function(data){
                })
                top.layer.close(index);
            },
            cancel:function (index) {
                jp.post("${ctx}/sg/managementCenter/constructionProjectTemporaryController/deleteProject",function(data){
                })
                top.layer.close(index);
            }
        });
    }
    function addList(projectNumber,arrangeTime) {
        top.layer.open({
            type: 2,
            area: ['900px', '500px'],
            title: '项目计划安排',
            maxmin: true, //开启最大化最小化按钮
            content: "${ctx}/sg/managementCenter/constructionProject/form?projectNumber="+projectNumber+"&arrangeTime="+arrangeTime,
            btn: ['确定', '关闭'],
            yes: function(index, layero){
                top.layer.close(index);
                addPowerFlag();
            },
            btn2: function(index){
                jp.post("${ctx}/sg/managementCenter/constructionProjectTemporaryController/deleteProject",function(data){
                })
                top.layer.close(index);
            },
            cancel:function (index) {
                jp.post("${ctx}/sg/managementCenter/constructionProjectTemporaryController/deleteProject",function(data){
                })
                top.layer.close(index);
            }
        });
    }
   function edit(id){//没有权限时，不显示确定按钮
       if(id == undefined){
	      id = getIdSelections();
	}
	jp.openSaveDialog('编辑项目管理表单', "${ctx}/sg/managementcenter/project/form?id=" + id, '800px', '500px');
  }

 function view(id){//没有权限时，不显示确定按钮
      if(id == undefined){
             id = getIdSelections();
      }
        jp.openViewDialog('查看项目管理表单', "${ctx}/sg/managementcenter/project/form?id=" + id, '800px', '500px');
 }

function deleteAll(){
    jp.confirm('确认要删除计划表单记录吗？', function(){
        jp.loading();
        jp.get("${ctx}/sg/managementCenter/constructionProject/deleteAll?ids=" + getIdSelections(), function(data){
            if(data.success){
                $('#projectTable').bootstrapTable('refresh');
                jp.success(data.msg);
            }else{
                jp.error(data.msg);
            }
        })
    })
}

</script>